LINUX.ORG.RU

builddeps:kodi : Зависит: libmodplug-dev но он не будет установлен

 ,


0

1

В Kodi нет звука около секунды после паузы. Проблема уже обсуждалась и лучше объяснена здесь. Я воспользовался тем решением.

Пункт 3.a инструкции

# apt build-dep kodi
Чтение списков пакетов… Готово
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
 builddeps:kodi : Зависит: libmodplug-dev но он не будет установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.

Ubuntu 18.04

$ dpkg -l | grep 'kodi'
ii  kodi                                                        2:17.6+dfsg1-1ubuntu1                                       amd64        Open Source Home Theatre (executable binaries)
ii  kodi-bin:amd64                                              2:17.6+dfsg1-1ubuntu1                                       amd64        Open Source Home Theatre (architecture-dependent files)
ii  kodi-data                                                   2:17.6+dfsg1-1ubuntu1                                       all          Open Source Home Theatre (arch-independent data package)
ii  kodi-repository-kodi                                        2:17.6+dfsg1-1ubuntu1                                       all          Open Source Home Theatre (official addons repository feed)
ii  kodi-visualization-spectrum:amd64
$ apt search libmodplug-dev
Сортировка… Готово
Полнотекстовый поиск… Готово
libmodplug-dev/bionic 1:0.8.9.0-1 amd64
  development files for mod music based on ModPlug

libopenmpt-modplug-dev/bionic,now 0.3.6-1 amd64 [установлен]
  module music library based on OpenMPT -- modplug compat development files


# apt install libmodplug-dev
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libopenmpt-dev
Для его удаления используйте «apt autoremove».
Следующие пакеты будут УДАЛЕНЫ:
  libopenmpt-modplug-dev
Следующие НОВЫЕ пакеты будут установлены:
  libmodplug-dev
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 1 пакетов, и 742 пакетов не обновлено.
Необходимо скачать 14,6 kB архивов.
После данной операции объём занятого дискового пространства уменьшится на 11,3 kB.
Хотите продолжить? [Д/н] н
Прервано.

А можно ли как-то использовать libopenmpt-modplug-dev вместо libmodplug-dev? Или вовсе собрать без этой либы. Я не знаю, для какой функции Kodi она нужна, но я точно не буду пользоваться трекерной музыкой.

Другой способ установки этой версии тоже пойдет.

damix9 ()
Ограничение на отправку комментариев: только для зарегистрированных пользователей